Upstream information

CVE-2020-24741 at MITRE

Description

** REJECT ** DO NOT USE THIS CANDIDATE NUMBER. ConsultIDs: CVE-2020-0570. Reason: This candidate is a duplicate of CVE-2020-0570. A typo caused the wrong ID to be used. Notes: All CVE users should reference CVE-2020-0570 instead of this candidate. All references and descriptions in this candidate have been removed to prevent accidental usage.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 7.8
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1189408 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • libQt5Concurrent-devel >= 5.9.4-8.29.1
  • libQt5Concurrent5 >= 5.9.4-8.29.1
  • libQt5Core-devel >= 5.9.4-8.29.1
  • libQt5Core-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Core5 >= 5.9.4-8.29.1
  • libQt5DBus-devel >= 5.9.4-8.29.1
  • libQt5DBus-private-headers-devel >= 5.9.4-8.29.1
  • libQt5DBus5 >= 5.9.4-8.29.1
  • libQt5Gui-devel >= 5.9.4-8.29.1
  • libQt5Gui-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Gui5 >= 5.9.4-8.29.1
  • libQt5KmsSupport-devel-static >= 5.9.4-8.29.1
  • libQt5KmsSupport-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Network-devel >= 5.9.4-8.29.1
  • libQt5Network-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Network5 >= 5.9.4-8.29.1
  • libQt5OpenGL-devel >= 5.9.4-8.29.1
  • libQt5OpenGL-private-headers-devel >= 5.9.4-8.29.1
  • libQt5OpenGL5 >= 5.9.4-8.29.1
  • libQt5OpenGLExtensions-devel-static >= 5.9.4-8.29.1
  • libQt5PlatformHeaders-devel >= 5.9.4-8.29.1
  • libQt5PlatformSupport-devel-static >= 5.9.4-8.29.1
  • libQt5PlatformSupport-private-headers-devel >= 5.9.4-8.29.1
  • libQt5PrintSupport-devel >= 5.9.4-8.29.1
  • libQt5PrintSupport-private-headers-devel >= 5.9.4-8.29.1
  • libQt5PrintSupport5 >= 5.9.4-8.29.1
  • libQt5Sql-devel >= 5.9.4-8.29.1
  • libQt5Sql-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Sql5 >= 5.9.4-8.29.1
  • libQt5Sql5-mysql >= 5.9.4-8.29.1
  • libQt5Sql5-postgresql >= 5.9.4-8.29.1
  • libQt5Sql5-sqlite >= 5.9.4-8.29.1
  • libQt5Sql5-unixODBC >= 5.9.4-8.29.1
  • libQt5Test-devel >= 5.9.4-8.29.1
  • libQt5Test-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Test5 >= 5.9.4-8.29.1
  • libQt5Widgets-devel >= 5.9.4-8.29.1
  • libQt5Widgets-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Widgets5 >= 5.9.4-8.29.1
  • libQt5Xml-devel >= 5.9.4-8.29.1
  • libQt5Xml5 >= 5.9.4-8.29.1
  • libqt5-qtbase-common-devel >= 5.9.4-8.29.1
  • libqt5-qtbase-devel >= 5.9.4-8.29.1
  • libqt5-qtbase-platformtheme-gtk3 >= 5.9.4-8.29.1
  • libqt5-qtbase-private-headers-devel >= 5.9.4-8.29.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-3269
SUSE Linux Enterprise Server 12 SP2-BCL
  • libQt5Concurrent5 >= 5.6.1-17.21.3
  • libQt5Core5 >= 5.6.1-17.21.3
  • libQt5DBus5 >= 5.6.1-17.21.3
  • libQt5Gui5 >= 5.6.1-17.21.3
  • libQt5Network5 >= 5.6.1-17.21.3
  • libQt5OpenGL5 >= 5.6.1-17.21.3
  • libQt5PrintSupport5 >= 5.6.1-17.21.3
  • libQt5Sql5 >= 5.6.1-17.21.3
  • libQt5Sql5-mysql >= 5.6.1-17.21.3
  • libQt5Sql5-postgresql >= 5.6.1-17.21.3
  • libQt5Sql5-sqlite >= 5.6.1-17.21.3
  • libQt5Sql5-unixODBC >= 5.6.1-17.21.3
  • libQt5Test5 >= 5.6.1-17.21.3
  • libQt5Widgets5 >= 5.6.1-17.21.3
  • libQt5Xml5 >= 5.6.1-17.21.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2021-3268
SUSE Linux Enterprise Server 15-LTSS
  • libQt5Concurrent-devel >= 5.9.4-8.29.1
  • libQt5Concurrent5 >= 5.9.4-8.29.1
  • libQt5Core-devel >= 5.9.4-8.29.1
  • libQt5Core-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Core5 >= 5.9.4-8.29.1
  • libQt5DBus-devel >= 5.9.4-8.29.1
  • libQt5DBus-private-headers-devel >= 5.9.4-8.29.1
  • libQt5DBus5 >= 5.9.4-8.29.1
  • libQt5Gui-devel >= 5.9.4-8.29.1
  • libQt5Gui-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Gui5 >= 5.9.4-8.29.1
  • libQt5KmsSupport-devel-static >= 5.9.4-8.29.1
  • libQt5KmsSupport-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Network-devel >= 5.9.4-8.29.1
  • libQt5Network-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Network5 >= 5.9.4-8.29.1
  • libQt5OpenGL-devel >= 5.9.4-8.29.1
  • libQt5OpenGL-private-headers-devel >= 5.9.4-8.29.1
  • libQt5OpenGL5 >= 5.9.4-8.29.1
  • libQt5OpenGLExtensions-devel-static >= 5.9.4-8.29.1
  • libQt5PlatformHeaders-devel >= 5.9.4-8.29.1
  • libQt5PlatformSupport-devel-static >= 5.9.4-8.29.1
  • libQt5PlatformSupport-private-headers-devel >= 5.9.4-8.29.1
  • libQt5PrintSupport-devel >= 5.9.4-8.29.1
  • libQt5PrintSupport-private-headers-devel >= 5.9.4-8.29.1
  • libQt5PrintSupport5 >= 5.9.4-8.29.1
  • libQt5Sql-devel >= 5.9.4-8.29.1
  • libQt5Sql-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Sql5 >= 5.9.4-8.29.1
  • libQt5Sql5-mysql >= 5.9.4-8.29.1
  • libQt5Sql5-postgresql >= 5.9.4-8.29.1
  • libQt5Sql5-sqlite >= 5.9.4-8.29.1
  • libQt5Sql5-unixODBC >= 5.9.4-8.29.1
  • libQt5Test-devel >= 5.9.4-8.29.1
  • libQt5Test-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Test5 >= 5.9.4-8.29.1
  • libQt5Widgets-devel >= 5.9.4-8.29.1
  • libQt5Widgets-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Widgets5 >= 5.9.4-8.29.1
  • libQt5Xml-devel >= 5.9.4-8.29.1
  • libQt5Xml5 >= 5.9.4-8.29.1
  • libqt5-qtbase-common-devel >= 5.9.4-8.29.1
  • libqt5-qtbase-devel >= 5.9.4-8.29.1
  • libqt5-qtbase-platformtheme-gtk3 >= 5.9.4-8.29.1
  • libqt5-qtbase-private-headers-devel >= 5.9.4-8.29.1
Patchnames:
SUSE-SLE-Product-SLES-15-2021-3269
SUSE Linux Enterprise Server for SAP Applications 15
  • libQt5Concurrent-devel >= 5.9.4-8.29.1
  • libQt5Concurrent5 >= 5.9.4-8.29.1
  • libQt5Core-devel >= 5.9.4-8.29.1
  • libQt5Core-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Core5 >= 5.9.4-8.29.1
  • libQt5DBus-devel >= 5.9.4-8.29.1
  • libQt5DBus-private-headers-devel >= 5.9.4-8.29.1
  • libQt5DBus5 >= 5.9.4-8.29.1
  • libQt5Gui-devel >= 5.9.4-8.29.1
  • libQt5Gui-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Gui5 >= 5.9.4-8.29.1
  • libQt5KmsSupport-devel-static >= 5.9.4-8.29.1
  • libQt5KmsSupport-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Network-devel >= 5.9.4-8.29.1
  • libQt5Network-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Network5 >= 5.9.4-8.29.1
  • libQt5OpenGL-devel >= 5.9.4-8.29.1
  • libQt5OpenGL-private-headers-devel >= 5.9.4-8.29.1
  • libQt5OpenGL5 >= 5.9.4-8.29.1
  • libQt5OpenGLExtensions-devel-static >= 5.9.4-8.29.1
  • libQt5PlatformHeaders-devel >= 5.9.4-8.29.1
  • libQt5PlatformSupport-devel-static >= 5.9.4-8.29.1
  • libQt5PlatformSupport-private-headers-devel >= 5.9.4-8.29.1
  • libQt5PrintSupport-devel >= 5.9.4-8.29.1
  • libQt5PrintSupport-private-headers-devel >= 5.9.4-8.29.1
  • libQt5PrintSupport5 >= 5.9.4-8.29.1
  • libQt5Sql-devel >= 5.9.4-8.29.1
  • libQt5Sql-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Sql5 >= 5.9.4-8.29.1
  • libQt5Sql5-mysql >= 5.9.4-8.29.1
  • libQt5Sql5-postgresql >= 5.9.4-8.29.1
  • libQt5Sql5-sqlite >= 5.9.4-8.29.1
  • libQt5Sql5-unixODBC >= 5.9.4-8.29.1
  • libQt5Test-devel >= 5.9.4-8.29.1
  • libQt5Test-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Test5 >= 5.9.4-8.29.1
  • libQt5Widgets-devel >= 5.9.4-8.29.1
  • libQt5Widgets-private-headers-devel >= 5.9.4-8.29.1
  • libQt5Widgets5 >= 5.9.4-8.29.1
  • libQt5Xml-devel >= 5.9.4-8.29.1
  • libQt5Xml5 >= 5.9.4-8.29.1
  • libqt5-qtbase-common-devel >= 5.9.4-8.29.1
  • libqt5-qtbase-devel >= 5.9.4-8.29.1
  • libqt5-qtbase-platformtheme-gtk3 >= 5.9.4-8.29.1
  • libqt5-qtbase-private-headers-devel >= 5.9.4-8.29.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-3269


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 libqt5-qtbase Not affected
SUSE CaaS Platform 4.0 libqt5-qtbase Not affected
SUSE Enterprise Storage 6 libqt5-qtbase Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 libqt5-qtbase Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 libqt5-qtbase Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP2 BCL libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS ERICSSON libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS SAP libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP3 BCL libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise Server 12 SP5 libqt5-qtbase Not affected
SUSE Linux Enterprise Server 15 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux libqt5-qtbase Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS libqt5-qtbase Not affected
SUSE Linux Enterprise Server ESPOS 15 libqt5-qtbase Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libqt5-qtbase Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libqt5-qtbase Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libqt5-qtbase Not affected
SUSE Linux Enterprise Server for SAP Applications 15 libqt5-qtbase Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libqt5-qtbase Not affected
SUSE Manager Proxy 4.0 libqt5-qtbase Not affected
SUSE Manager Retail Branch Server 4.0 libqt5-qtbase Not affected
SUSE Manager Server 4.0 libqt5-qtbase Not affected
SUSE OpenStack Cloud 8 libqt5-qtbase Not affected
SUSE OpenStack Cloud 9 libqt5-qtbase Not affected
SUSE OpenStack Cloud Crowbar 8 libqt5-qtbase Not affected
SUSE OpenStack Cloud Crowbar 9 libqt5-qtbase Not affected